<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gapp__disc__data__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gapp_disc_data_t</compoundname>
    <includes local="no">cy_ble_stack_gap_peripheral.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gapp__disc__data__t_1a1525f86abe1edf2533b05f9fa13e4716" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapp_disc_data_t::advData[CY_BLE_GAP_MAX_ADV_DATA_LEN]</definition>
        <argsstring>[CY_BLE_GAP_MAX_ADV_DATA_LEN]</argsstring>
        <name>advData</name>
        <briefdescription>
<para>GAP Advertisement Parameters which includes Flags, Service UUIDs and short name. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="160" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="160" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapp__disc__data__t_1a15d45c03b3d3028bc843fadeedb160d5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapp_disc_data_t::advDataLen</definition>
        <argsstring />
        <name>advDataLen</name>
        <briefdescription>
<para>length of the advertising data. </para>        </briefdescription>
        <detaileddescription>
<para>This should be made zero if there is no data. Maximum length can be CY_BLE_GAP_MAX_ADV_DATA_LEN </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="163" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="163" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Advertising data. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="165" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="157" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="158" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__data__t_1a1525f86abe1edf2533b05f9fa13e4716" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_data_t</scope><name>advData</name></member>
      <member prot="public" refid="structcy__stc__ble__gapp__disc__data__t_1a15d45c03b3d3028bc843fadeedb160d5" virt="non-virtual"><scope>cy_stc_ble_gapp_disc_data_t</scope><name>advDataLen</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>